This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | JSONArray
Name | ### setBoolean()
Examples |
    JSONArray json;

    void setup() {

      json = new JSONArray();

      json.setInt(0, 32);
      json.setFloat(1, 1.5);
      json.setString(2, "grape");
      json.setBoolean(3, true);

      println(json);
    }

    // Sketch prints:
    // [
    //   32,
    //   1.5,
    //   "grape",
    //   true
    // ]
Description | Inserts a new value into the JSONArray at the specified index position. If a value already exists in the specified position, the new value overwrites the old value. If the given index is greater than the length of the JSONArray, then null elements will be added as necessary to pad it out.
Syntax |
    .setBoolean(index, value)
Parameters |
index | int: an index value
value | boolean: the value to assign
Returns | JSONArray
Related | setInt() setFloat() setString()

Updated on October 26, 2013 08:58:33pm PDT